//
//  FirstViewController.m
//  PaintCode
//
//  Created by Felipe on 5/21/13.
//  Copyright (c) 2013 Felipe Laso Marsetti. All rights reserved.
//

#import "ButtonView.h"
#import "ButtonViewController.h"

@interface ButtonViewController ()

@property (weak, nonatomic) IBOutlet UISlider *blueSlider;
@property (weak, nonatomic) IBOutlet ButtonView *buttonView;
@property (weak, nonatomic) IBOutlet UISlider *greenSlider;
@property (weak, nonatomic) IBOutlet UISlider *redSlider;

@end

@implementation ButtonViewController

#pragma mark - IBActions

- (IBAction)buttonTapped:(UIButton *)button
{
    ButtonView *buttonView = (ButtonView *)button;
    
    NSString *messageString = [NSString stringWithFormat:@"Red: %f\nGreen: %f\nBlue: %f\n Alpha: %f",
                               buttonView.redColor,
                               buttonView.greenColor,
                               buttonView.blueColor,
                               buttonView.alpha];
    
    UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"Button Colors"
                                                        message:messageString
                                                       delegate:nil
                                              cancelButtonTitle:@"Dismiss"
                                              otherButtonTitles:nil];
    [alertView show];
}

- (IBAction)sliderValueChanged:(UISlider *)slider
{
    if (slider == self.redSlider)
    {
        self.buttonView.redColor = self.redSlider.value;
    }
    else if (slider == self.greenSlider)
    {
        self.buttonView.greenColor = self.greenSlider.value;
    }
    else if (slider == self.blueSlider)
    {
        self.buttonView.blueColor = self.blueSlider.value;
    }
    
    [self.buttonView setNeedsDisplay];
}

#pragma mark - View Lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    [self.redSlider setValue:self.buttonView.redColor];
    [self.greenSlider setValue:self.buttonView.greenColor];
    [self.blueSlider setValue:self.buttonView.blueColor];
}

@end
